Last modified: 2012-04-16 09:15:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27475 - Add support for simple syntax in mediaWiki.loader (similar to legacy importScript)
Add support for simple syntax in mediaWiki.loader (similar to legacy importSc...
Status: RESOLVED DUPLICATE of bug 25845
Product: MediaWiki
Classification: Unclassified
JavaScript (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Trevor Parscal
http://www.mediawiki.org/w/index.php?...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-16 21:05 UTC by Helder
Modified: 2012-04-16 09:15 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Helder 2011-02-16 21:05:54 UTC
The list of JavaScript deprecations suggests that importScript is/will be deprecated in favor of mediaWiki.loader functionality. Nonetheless, it doesn't seems to support a nice syntax like
importScript( 'Page.js' );

So, it would be interesting to provide support to such a syntax before deprecating the legacy importScript function.
Comment 1 Helder 2011-02-17 09:39:38 UTC
There is a patch for this in bug 25845

*** This bug has been marked as a duplicate of bug 25845 ***

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links